scala.xml
class PrefixedAttribute

[source: `scala/xml/PrefixedAttribute.scala`]

`` `class` PrefixedAttribute(`val` pre : java.lang.String, `val` key : java.lang.String, `val` value : Seq[Node], `val` next : MetaData)
  `extends` MetaData

  prefixed attributes always have a non-null namespace.

Parameters
  `pre -` ...
  `key -` ...
  `value -` the attribute value, which may not be null
  `next -` ...

Additional Constructor Summary
`def` | this (pre : java.lang.String, key : java.lang.String, value : java.lang.String, next : MetaData) : PrefixedAttribute same as this(key, Utility.parseAttributeValue(value), next)

Method Summary
`def` | apply (namespace : java.lang.String, scope : NamespaceBinding, key : java.lang.String) : Seq[Node] gets attribute value of qualified (prefixed) attribute with given key
`def` | apply (key : java.lang.String) : Seq[Node] forwards the call to next (because caller looks for unprefixed attribute
`def` | copy (next : MetaData) : PrefixedAttribute Returns a copy of this unprefixed attribute with the given next field.
`def` | equals1 (m : MetaData) : Boolean shallow equals method
`def` | getNamespace (owner : Node) : java.lang.String if owner is the element of this metadata item, returns namespace
`override def` | hashCode : Int returns the hashcode.
`final def` | isPrefixed : Boolean returns true
`def` | remove (namespace : java.lang.String, scope : NamespaceBinding, key : java.lang.String) : MetaData
`def` | remove (key : java.lang.String) : PrefixedAttribute
`def` | toString1 (sb : StringBuilder) : Unit appends string representation of only this attribute to stringbuffer
`def` | wellformed (scope : NamespaceBinding) : Boolean

Methods inherited from MetaData
append, apply, containedIn1, hasNext, length, length, equals, elements, size, filter, map, get, get, get, toString1, toString, toString, remove

Methods inherited from Collection
toArray, stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, partition, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, isEmpty, projection, hasDefiniteSize

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Additional Constructor Details

`` `def` this(pre : java.lang.String, key : java.lang.String, value : java.lang.String, next : MetaData) : PrefixedAttribute

  same as this(key, Utility.parseAttributeValue(value), next)

Method Details

`` `def` copy(next : MetaData) : PrefixedAttribute

  Returns a copy of this unprefixed attribute with the given next field.

Overrides
  MetaData.copy

`` `def` equals1(m : MetaData) : Boolean

  shallow equals method

Overrides
  MetaData.equals1

`` `def` getNamespace(owner : Node) : java.lang.String

  if owner is the element of this metadata item, returns namespace

Overrides
  MetaData.getNamespace

`` `def` apply(key : java.lang.String) : Seq[Node]

  forwards the call to next (because caller looks for unprefixed attribute

Overrides
  MetaData.apply

`` `def` apply(namespace : java.lang.String, scope : NamespaceBinding, key : java.lang.String) : Seq[Node]

  gets attribute value of qualified (prefixed) attribute with given key

Overrides
  MetaData.apply

`final` `def` isPrefixed : Boolean

  returns true

Overrides
  MetaData.isPrefixed

`override` `def` hashCode : Int

  returns the hashcode.

Overrides
  MetaData.hashCode

`` `def` toString1(sb : StringBuilder) : Unit

  appends string representation of only this attribute to stringbuffer

Overrides
  MetaData.toString1

`` `def` wellformed(scope : NamespaceBinding) : Boolean

Parameters
  `scope -` ...
Returns
  `true` iff ...

Overrides
  MetaData.wellformed

`` `def` remove(key : java.lang.String) : PrefixedAttribute

Parameters
  `key -` ...
Returns
  ...

Overrides
  MetaData.remove

`` `def` remove(namespace : java.lang.String, scope : NamespaceBinding, key : java.lang.String) : MetaData

Parameters
  `namespace -` ...
  `scope -` ...
  `key -` ...
Returns
  ...

Overrides
  MetaData.remove